<div class="humidity-title">Humidity</div>
<!-- <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.1.1/css/all.min.css"> -->
  <style>
    .fa-tint-custom {
      color: #54ade0;       /* Set the color to blue */
      font-size: 2em;    /* Increase the size of the icon */
      margin-top: 10px;  /* Add margin on top */
    }
  </style>
<div class="humidity-widget">
    <svg class="humidity-circle" viewBox="0 0 36 36">
      <path class="circle-bg"
        d="M18 2.0845
          a 15.9155 15.9155 0 0 1 0 31.831
          a 15.9155 15.9155 0 0 1 0 -31.831"
      />
      <path class="circle"
        stroke-dasharray="100, 100"
        [attr.stroke-dasharray]="humidity + ', 100'"
        d="M18 2.0845
          a 15.9155 15.9155 0 0 1 0 31.831
          a 15.9155 15.9155 0 0 1 0 -31.831"
      />
    </svg>
    <div class="humidity-value">{{ humidity }}%</div>
    <!-- <i class="fas fa-tint fa-tint-custom"></i>  -->
    <img src="/assets/humidity-sensor.png" alt="Water Drop" style="width: 50px;">

    <!-- <div class="custom-icon"></div> -->
  </div>
  